set more off
cd  "/Users/zhouwentao/Desktop/周文韬——2020年第9期定稿/数据/贸易矩阵（对称化，对角线为0）/节点度分布"
forval x=2005/2016{
use `x'年节点度.dta,clear
gen year=`x'
save `x'年节点度.dta,replace
}
use 2005年节点度.dta,clear
forval x=2006/2016{
append using `x'年节点度.dta
}
save 2005-2016degree.dta,replace

use 2005-2016degree.dta,clear
keep if year==2005|year==2009|year==2013|year==2016
keep if Degree<=100
bytwoway (kdensity Degree), by (year) ///
aes(lpattern) lcolor(black) ///
legend(ring(0) pos(1) cols(2) subtitle(年份)) ///
xtitle("degree") ytitle("kernel density") ///
scheme(s1mono) 
graph save "度核密度估计",replace

  set more off
cd  "/Users/zhouwentao/Desktop/周文韬——2020年第9期定稿/数据/贸易矩阵（对称化，对角线为0）/节点强度分布"
forval x=2005/2016{
use `x'年节点强度.dta,clear
gen year=`x'
save `x'年节点强度.dta,replace
}
use 2005年节点强度.dta,clear
forval x=2006/2016{
append using `x'年节点强度.dta
}
save 2005-2016strength.dta,replace

use 2005-2016strength.dta,clear
keep if year==2005|year==2009|year==2013|year==2016
keep if Degree<=1
  bytwoway (kdensity Degree), by (year) ///
  aes(lpattern) lcolor(black) ///
  legend(ring(0) pos(1) cols(2) subtitle(年份)) ///
  xtitle("strength") ytitle("kernel density") ///
  scheme(s1mono)
  graph save "强度核密度估计.gph",replace
  
    set more off
cd  "/Users/zhouwentao/Desktop/周文韬——2020年第9期定稿/数据/贸易矩阵（对称化，对角线为0）/节点RWBC"
forval x=2005/2016{
import excel "`x'.xls", sheet("Sheet1") firstrow clear
 drop RWCC
 gen year=`x'
  save `x'年RWBC.dta,replace
}
use 2005年节点RWBC.dta,clear
forval x=2006/2016{
append using `x'年节点RWBC.dta
}
save 2005-20166RWBC.dta,replace

use 2005-20166RWBC.dta,clear
keep if year==2005|year==2009|year==2013|year==2016
keep if RWBC<=0.1
  bytwoway (kdensity RWBC), by (year) ///
  aes(lpattern) lcolor(black) ///
  legend(ring(0) pos(1) cols(2) subtitle(年份)) ///
  xtitle("RWBC") ytitle("kernel density") ///
  scheme(s1mono)
  graph save "RWBC核密度估计.gph",replace
